// RescanFonts -- A program to update BeOS's fonts lists.
// Copyright (C) 2000  Mark J. Gardner
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// Author email: mjg#oms.com
// Author postal mail: 1700 Street Road
//                     Apartment Q-11
//                     Warrington, PA  18976
//                     USA

#include <stdio.h>
#include <Application.h>
#include <Font.h>

// main() function
//
// Pretty simple, really.  We need to make a new BApplication so the
// update_font_families function will work.
//
int main() {	
	new BApplication("application/x-vnd.mjg-RescanFonts");
	if (update_font_families(true)) {	// if there's nothing new, don't bother
		update_font_families(false);
		printf("Total font families installed: %ld\n", count_font_families());
	}
	delete be_app;
}



